<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>css based tutorial</title>
    <!-- <style>
        p {
            color: blue;
            background-color: red;
        }
    </style> -->
    <link rel="stylesheet" href="external.css">

</head>

<body>
    <!-- today css based tutorial  -->

    <!-- <p style="background: chartreuse"> hardik kanzairya</p> example of inline css -->

    <!-- internal css  -->
    <!-- <p style="background-color: orange">
        my name is hardik kanzariya
    </p>
      -->
    <!-- 
      <div class="first">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Quam ducimus aliquid, voluptatibus provident, rem soluta tempora recusandae eos molestias quibusdam commodi aliquam voluptas quod accusamus, cupiditate nulla dolores voluptatum non?
      </div>

      <div class="second">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Id a dolor veniam, qui commodi odit dicta sint rem quasi architecto cum! Architecto, cupiditate voluptas quidem aspernatur consequatur ratione doloribus iure?
      </div>

      <div class="third">
          Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quisquam, repudiandae doloremque omnis commodi quo eligendi cumque alias quae vero eum dicta totam animi porro necessitatibus beatae aperiam accusantium reprehenderit blanditiis.
      </div>

      <div class="four">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto, voluptas impedit. Nobis, quia itaque. Cupiditate adipisci quod ratione voluptatem dolor vel distinctio nobis maxime unde nam corporis, qui tempore blanditiis.
      </div>
      <div class="four">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto, voluptas impedit. Nobis, quia itaque. Cupiditate adipisci quod ratione voluptatem dolor vel distinctio nobis maxime unde nam corporis, qui tempore blanditiis.
      </div>
     
      <div class="four">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto, voluptas impedit. Nobis, quia itaque. Cupiditate adipisci quod ratione voluptatem dolor vel distinctio nobis maxime unde nam corporis, qui tempore blanditiis.
      </div>
     
      <div class="four">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto, voluptas impedit. Nobis, quia itaque. Cupiditate adipisci quod ratione voluptatem dolor vel distinctio nobis maxime unde nam corporis, qui tempore blanditiis.
      </div> -->


    <!-- <p>
          Lorem ipsum dolor sit amet consectetur 
          Lorem ipsum dolor <img src="logo.png" width="40px" height="40px" alt="not"> sit amet consectetur adipisicing elit. Id eaque repellat saepe recusandae eveniet fugit incidunt harum sunt minus. Veritatis ipsam ex similique alias voluptatibus temporibus ratione nisi delectus! Impedit?
          adipisicing elit. Non magni iste magnam nemo ex accusamus commodi. Debitis doloribus perspiciatis quae sint fuga placeat ducimus. Assumenda, eligendi. Quos officiis doloribus iure?
      </p>
    -->
    <!-- <p style="border : 2px solid red">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Cupiditate obcaecati magnam, distinctio repellat
        officia tempora laboriosam, officiis voluptates hic ducimus adipisci pariatur? Laboriosam iste eum ex, obcaecati
        consequatur et ducimus
        .
    </p>

    <p style="border:2px dotted red">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Cupiditate obcaecati magnam, distinctio repellat
        officia tempora laboriosam, officiis voluptates hic ducimus adipisci pariatur? Laboriosam iste eum ex, obcaecati
        consequatur et ducimus
        .
    </p>
    <p style="border:2px dashed red">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Cupiditate obcaecati magnam, distinctio repellat
        officia tempora laboriosam, officiis voluptates hic ducimus adipisci pariatur? Laboriosam iste eum ex, obcaecati
        consequatur et ducimus
        .
    </p>

    <p style="border:2px groove red">
        groove Lorem ipsum dolor sit amet consectetur adipisicing elit. Cupiditate obcaecati magnam, distinctio repellat
        officia tempora laboriosam, officiis voluptates hic ducimus adipisci pariatur? Laboriosam iste eum ex, obcaecati
        consequatur et ducimus
        .
    </p>
    <p style="border:2px inset red">
        inset Lorem ipsum dolor sit amet consectetur adipisicing elit. Cupiditate obcaecati magnam, distinctio repellat
        officia tempora laboriosam, officiis voluptates hic ducimus adipisci pariatur? Laboriosam iste eum ex, obcaecati
        consequatur et ducimus
        .
    </p>
    <p style="border:2px outset red; border-radius:20px; text-align: center">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Cupiditate obcaecati magnam, distinctio repellat
        officia tempora laboriosam, officiis voluptates hic ducimus adipisci pariatur? Laboriosam iste eum ex, obcaecati
        consequatur et ducimus.
    </p>
    <p style="border:2px outset red; border-radius:20px; text-align: center">
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Cupiditate obcaecati magnam, distinctio repellat
            officia tempora laboriosam, officiis voluptates hic ducimus adipisci pariatur? Laboriosam iste eum ex, obcaecati
            consequatur et ducimus.
        </p> -->


        <!-- <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quo, quidem fugit? Reprehenderit, repellat! Consequatur corrupti, modi, expedita fugit blanditiis maxime iste illum accusantium 
            <a href="https://www.google.com">
                    cumque sapiente nisi cum similique
            </a> id labore?
        </p> -->

        <table id="customers">
                <tr>
                  <th>Company</th>
                  <th>Contact</th>
                  <th>Country</th>
                </tr>
                <tr>
                  <td>Alfreds Futterkiste</td>
                  <td>Maria Anders</td>
                  <td>Germany</td>
                </tr>
                <tr>
                  <td>Berglunds snabbköp</td>
                  <td>Christina Berglund</td>
                  <td>Sweden</td>
                </tr>
                <tr>
                  <td>Centro comercial Moctezuma</td>
                  <td>Francisco Chang</td>
                  <td>Mexico</td>
                </tr>
                <tr>
                  <td>Ernst Handel</td>
                  <td>Roland Mendel</td>
                  <td>Austria</td>
                </tr>
                <tr>
                  <td>Island Trading</td>
                  <td style="text-align:left;" rowspan="2">lore kaldkfm</td>
                  <td>UK</td>
                </tr>
                <tr>
                  <td>Königlich Essen</td>
                  <!-- <td>Philip Cramer</td> -->
                  <td>Germany</td>
                </tr>
                <tr>
                  <td>Laughing Bacchus Winecellars</td>
                  <td>Yoshi Tannamuri</td>
                  <td>Canada</td>
                </tr>
                <tr>
                  <td>Magazzini Alimentari Riuniti</td>
                  <td>Giovanni Rovelli</td>
                  <td>Italy</td>
                </tr>
                <tr>
                  <td>North/South</td>
                  <td>Simon Crowther</td>
                  <td>UK</td>
                </tr>
                <tr>
                  <td>Paris spécialités</td>
                  <td>Marie Bertrand</td>
                  <td>France</td>
                </tr>
              </table>              
</body>

</html>